Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/914/?format=api
{ "ob_id": 914, "uuid": "cc9e1ef15dbb016e155f773cff522d72", "title": "Berlin Stratospheric: Zonal mean data from the SATEMS producing satellite instruments at Satellites on the Global Telecommunication Sytem (GTS)", "abstract": "This is a copy of The Berlin Stratospheric Data Series provided to the BADC by K. Labitzke and her collaborators (2002) as a CD from the Meteorological Institute, Free University Berlin. This data set contains temperature and geopotential height mean data on the 100, 50, 30, 10 mb pressure surfaces produced at the Meteorological Institute, Free University of Berlin.", "keywords": "Berlin Stratospheric, Height, Temperature", "publicationState": "published", "dataPublishedTime": "2007-02-09T00:13:14", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/915/?format=api", "dataPath": "/badc/CDs/berlin_strat/data/zonalmean", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 236928, "numberOfFiles": 11, "fileFormat": "Data are ASCII formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/249/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/13/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25382/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25388/?format=api" ], "dataLineage": "This is a copy of The Berlin Stratospheric Data Series, from radiosonde data and rocket observations, provided to the BADC by K. Labitzke and her collaborators (2002) as a CD from the Meteorological Institute, Free University Berlin.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/635/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/910/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/907/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2966/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2971/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2968/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2969/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2970/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2972/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2965/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2967/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/921/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2521/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }